
Redmine - Patch #24800

Remove internal style sheet duplication and obsoleted meta tag from wiki_syntax_* documentation.

2017-01-10 15:19 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version: 3.4.0   

Description

In preparation of #24723, I would've started a second time of search-and-replacing, but I decided to fix the following duplication and

obsoletion upfront:

extracted internal style sheets from wiki_syntax_detailed_[markdown|textile].html into an external one (wiki_syntax_detailed.css)

extracted internal style sheets from wiki_syntax_[markdown|textile].html into an external one (wiki_syntax.css)

removed old, obsoleted and unused 'Content-Style-Type' meta tag

I attach three patches implementing these changes. This patch serial, against current source:/trunk@16171, is produced using git

format-patch which makes the individual patches apply-able using "patch -p1 < 0001-...".

Related issues:

Related to Redmine - Defect #24723: [regression?] r10132's changes were rever... Closed

Associated revisions

Revision 16206 - 2017-01-15 17:34 - Jean-Philippe Lang

Extract wiki_syntax_detailed internal style sheets into an external one (#24800).

Patch by Mischa The Evil.

Revision 16207 - 2017-01-15 17:38 - Jean-Philippe Lang

Extract wiki_syntax internal style sheets into an external one (#24800).

Patch by Mischa The Evil.

Revision 16208 - 2017-01-15 17:40 - Jean-Philippe Lang

Remove old and obsolete 'Content-Style-Type' meta tag (#24800).

Patch by Mischa The Evil.

History

#1 - 2017-01-10 15:19 - Mischa The Evil

- Related to Defect #24723: [regression?] r10132's changes were reverted with r15569 added

#2 - 2017-01-11 00:49 - Go MAEDA

- Target version set to 3.4.0

I looked all updated public/help/*/wiki_syntax_*.html files and everything looks fine.

I should have done this work when I made the patch #14630. Thanks.

Setting target version to 3.4.0.

#3 - 2017-01-15 17:40 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patches committed, thanks.
https://www.redmine.org/issues/24723
https://www.redmine.org/projects/redmine/repository/svn/revisions/16171/entry/trunk
https://www.redmine.org/issues/14630


0001-Extract-wiki_syntax_detailed-internal-style-sheets-i.patch 156 KB 2017-01-10 Mischa The Evil

0002-Extract-wiki_syntax-internal-style-sheets-into-an-ex.patch 120 KB 2017-01-10 Mischa The Evil

0003-Remove-old-and-obsolete-Content-Style-Type-meta-tag.patch 55.3 KB 2017-01-10 Mischa The Evil
